Get Content for the Latest Agent Version
get
/rpa/v1/artifacts/agent/latest/download
Retrieves an agent's binary data.
Request
Query Parameters
-
isInstallAgent: boolean
If the flag is true, the API will download agent binary and the configuration file which is required to install agent Otherwise, the API will only download the agent binary (Upgrade of agent case)Default Value:
false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/zip
200 Response
Successful operation
Headers
-
Content-Disposition:
Attachment; filename="rpa_agent_{version}.zip"
-
etag:
For optimistic concurrency control. See `if-match`.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : schema
Type:
string(binary)400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.